#include "AdnForme.h"
// Génère les fichiers c.jo et c.joa
void genereFichierJo(char c)
{

jo joc = mesjo[c-'a'];

  // Nom du fichier jo
  char nomfichierjo[32];
  snprintf(nomfichierjo, 32, "%c.jo", c);
  // Nom du fichier joa
  char nomfichierjoa[32];
  snprintf(nomfichierjoa, 32, "%c.joa", c);

  // Fichier jo
  FILE* fichierjo;
  if (!(fichierjo = fopen(nomfichierjo, "wb")))
   {
    exit(-1);
   }
  // Fichier joa
  FILE* fichierjoa;
  if (!(fichierjoa = fopen(nomfichierjoa, "wb")))
   {
    exit(-1);
   }


int amplibase[5];
      for(int i=0; i<6; i++)
       {amplibase[i] = joc.amplitude[i];}

int laforcehbase=0;


label1 :
      for(int i=0; i<6; i++)
       {

         joc.amplitude[i] += joc.changeamplitude[i];

	if (joc.amplitude[i] > 240)
	goto label3 ;

          fprintf(fichierjo,  "%c%c",    (char)joc.amplitude[i], (char)joc.dureefront[i]);
          fprintf(fichierjoa, "%d %d\n", (unsigned char)joc.amplitude[i], (unsigned char)joc.dureefront[i]);
       }
laforcehbase++;
if (laforcehbase > joc.laforceh)
goto label2 ;




goto label1 ; 

label3 :
      for(int i=0; i<6; i++)
       {joc.amplitude[i] = amplibase[i];}
goto label1 ; 

label2 :


    // Écriture des zones mémoires
    for(int zonememoire = joc.combiendezonememoire; zonememoire > 0 ; zonememoire--)
     {
      fprintf(fichierjo,  "%c%c", 130, 250);
      fprintf(fichierjoa, "%d %d\n", 130, 250);
      fprintf(fichierjo,  "%c%c", 128, 250);
      fprintf(fichierjoa, "%d %d\n", 128, 250);
     }
  fclose(fichierjo);
  fclose(fichierjoa);
}
